--- title: "Edit sub account API access rule" slug: "management-subaccount-putapiaccessrule" tags: ["Sub Account"] updated: 2026-09-17T10:05:32Z published: 2026-09-17T10:05:32Z canonical: "api.ncloud-docs.com/management-subaccount-putapiaccessrule" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Edit sub account API access rule Available in Classic and VPC Edit a sub account API access rule. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /api/v1/sub-accounts/{subAccountId}/access-rules/api | ### Request headers For information about the headers common to all Sub Account APIs, see [Sub Account request headers](/docs/en/management-subaccount#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `subAccountId` | String | Required | Sub account ID - See [Get sub account list](/docs/en/management-subaccount-getsubaccounts) | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `useApiAllowSource` | Boolean | Required | Whether the accessible source for the API is restricted - `true` \| `false` - `true`: Accessible only from specified sources - `false`: Accessible from all sources | | `apiAllowSources` | Array | Optional | List of sources accessible via API: [apiAllowSources](/docs/en/management-subaccount-putapiaccessrule#apiAllowSources) | #### `apiAllowSources` The following describes `apiAllowSources`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `type` | String | Optional | Access source type - `IP` \| `VPC` \| `VPC_SERVER` - `IP`: Single server IP or IP range including subnet - `VPC`: VPC in use - `VPC_SERVER`: Server in the VPC environment in use | | `source` | String | Optional | Access source information - Enter an IP address or an instance number | ### Request example The request example is as follows: ``` curl --location --request PUT 'https://subaccount.apigw.ntruss.com/api/v1/sub-accounts/2b141960-****-****-****-246e9659184c/access-rules/api' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "useApiAllowSource": true, "apiAllowSources": [ { "type": "IP", "source": "**.**.**.**" } ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `success` | Boolean | - | API call success status - `true` \| `false` - `true`: succeeded - `false`: failed | | `id` | String | - | Sub account ID | ### Response status codes For information about the HTTP status codes common to all Sub Account APIs, see [Sub Account status codes](/docs/en/management-subaccount#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "success": true, "id": "2b141960-****-****-****-246e9659184c" } ```